#!/bin/bash
#first argument: input file; second argument: reduction in resolution (starting at 500 m, 20 gives 10 km)
wf=$1
wd=$3
from=$4
to=$5 # where to put the results?

resolfac=$2
let resolution=${resolfac}/2
#
#projparamfile=projier10km.prm
wfout=$1

date
#apply mask
#$wd'mask_sds' -sds=sur_refl_b01,sur_refl_b02,sur_refl_b03,sur_refl_b06, -fill=-28672 -mask=${from}$wf,sur_refl_qc_500m,0-1==00,AND,*,sur_refl_state_500m,15==0 -of=${to}qual.hdf ${from}$wf
#deal with bug in MODIS QA bitmap index of QC (see https://lpdaac.usgs.gov/sites/default/files/public/modis/docs/MOD09A1_Bit_Error.doc)
$wd'mask_sds' -sds=sur_refl_b01,sur_refl_b02,sur_refl_b03,sur_refl_b06, -fill=-28672 -mask=${from}$wf,sur_refl_qc_500m,30-31==00,AND,*,sur_refl_state_500m,15==0 -of=${to}qual.hdf ${from}$wf
date

#try intermediate calculation using hdf, use math_sds and other LDOPE tools
#first EVI and LSWI, then aggregate to 2x2

#LSWI
#LSWI=(b2 - b6) / (b2 + b6)
$wd'math_sds' -of=${to}lswi1.hdf -math=sur_refl_b02,${to}qual.hdf,-,sur_refl_b06,${to}qual.hdf,INT16,-28672,-28672,-28672,-28672,1,1,0,*
$wd'math_sds' -of=${to}lswi2.hdf -math=sur_refl_b02,${to}qual.hdf,+,sur_refl_b06,${to}qual.hdf,INT16,-28672,-28672,-28672,-28672,1,1,0,*
#combine to LSWI; result is INT16 (because of scaling 10000)
$wd'math_sds' -of=${to}lswi3.hdf -math=sur_refl_b02,${to}lswi1.hdf,/,sur_refl_b02,${to}lswi2.hdf,INT16,-28672,-28672,-28672,-28672,1,1,0,lswi

#aggregate from 500m to 1 km by simple averaging, keep meta data
$wd'reduce_sds' -of=${to}lswi4.hdf -rf=$resolfac -avg -sds=lswi -meta ${to}lswi3.hdf
#after calculating, copy projection parameter metadata
$wd'cp_proj_param' -ref=${from}$wf -of='lswi_'${resolution}'km_'$wf ${to}lswi4.hdf

#reproject to Lambert conical conformal projection NO, FIRST AGGREGATE TILES
rm ${to}lswi1.hdf
rm ${to}lswi2.hdf
rm ${to}lswi3.hdf
rm ${to}lswi4.hdf
rm ${to}qual.hdf
echo LSWI done for $wf!

date

#create_sds_ts_stats param= #for timeseries of fields, get min, or max, or mean etc as a 2D field
