aggregateMapGEO<-function(xfactor,yfactor,nveg) {

  # aggregate vegetation map
  map        <- getr(paste("vegetationmapCutted.",projinfo$year,sep=""),datp)
  mapClassed <- array(dim=c(dim(map),nveg))

  # separate classes
  for (i in 1:nveg) {
    mapClassed[,,i] <- map
    mapClassed[,,i][mapClassed[,,i]!=i] <- NA
  }
  rm(map)

  # do aggregation
  print("If you get a dim error here, it probably means your synmap is not big enough. Create a bigger one with
  gridEurope.r (see README)!")
  
  mapAggregated <- array(dim=c(projinfo$ny,projinfo$nx,nveg))
  for (y in 0:(dim(mapAggregated)[1]-1)) {
   for (x in 0:(dim(mapAggregated)[2]-1)) {
    for (vc in 1:dim(mapAggregated)[3]){
      #mapAggregated[y+1,x+1,vc] <- sum(mapClassed[(y*yfactor):(y*yfactor+yfactor),(x*xfactor):(x*xfactor+xfactor),vc],na.rm=TRUE)
      mapAggregated[y+1,x+1,vc] <- sum(mapClassed[(y*yfactor+1):(y*yfactor+yfactor),(x*xfactor+1):(x*xfactor+xfactor),vc],na.rm=TRUE)
    }
   }
  }

  # from counts to relative coverage
  syn    <- mapAggregated;syn[is.na(syn)]=0
  sumsyn <- array(0,dim=dim(syn)[1:2])

  for(i in 1:dim(syn)[3]) sumsyn   <- sumsyn+syn[,,i]
  for(i in 1:dim(syn)[3]) syn[,,i] <- syn[,,i]/sumsyn

  assignr(paste("mapAggregated.",projinfo$year,sep=""),syn,datp)
  
  return(syn)
}


doAggregateGEO<-function(vari="evi",doyuse,nveg=8) {

  xfactor <- projinfo$dxy/spacing
  yfactor <- projinfo$dyy/spacing

  indicesAggregated <- array(dim=c(projinfo$ny,projinfo$nx,length(doyuse),nveg))

  for (tstep in 1:length(doyuse)){
   indicesClassed <- getr(paste(vari,".indicesClassed.",projinfo$year,".",tstep,sep=""),datp)
   for (y in 0:(projinfo$ny-1))  {
    for (x in 0:(projinfo$nx-1))  {
     for (vc in 1:nveg)             {
      #indicesAggregated[y,x,tstep,vc] <- mean(indicesClassed[(y*yfactor):(y*yfactor+yfactor-1),(x*xfactor):(x*xfactor+xfactor),vc],na.rm=TRUE)
      indicesAggregated[y+1,x+1,tstep,vc] <- mean(indicesClassed[(y*yfactor+1):(y*yfactor+yfactor),(x*xfactor+1):(x*xfactor+xfactor),vc],na.rm=TRUE)
     }
    }
   }
  }
  rm(indicesClassed)
  assignr(paste(vari,".indicesAggregated.",projinfo$year,sep=""),indicesAggregated,datp)
  
  if (!file.exists(paste(datp,"/.RDatamapAggregated.",projinfo$year,sep=""))) {
   syn <- aggregateMapGEO(xfactor,yfactor,nveg)
  } else {
   syn <- getr(paste("mapAggregated.",projinfo$year,sep=""),datp)
  }
  
  return(NULL)
}

