parseNamelist<-function() {

  # read STILT domain settings
  # STILT uses lower left grid cell corner to reference coordinates
  # SYNMAP uses upper left grid cell corner to reference coordinates
  
  # get SYNMAP grid
  synmap <- getr(paste("synmap.",synmaptouse,sep=""),rdatain) #created in gridEurope.r

  #assume upper left corner is id of grid cell
  lat    <- rev(as.numeric(dimnames(synmap)[[1]]))
  lat    <- lat-diff(lat)[1] #from upper left to lower left
  lon    <- as.numeric(dimnames(synmap)[[2]])

  projout <- "+proj=geo"

  # lower left
  x0 <- ll.lon
  y0 <- ll.lat

  # upper right
  x1<-x0+(dxy*nx)
  y1<-y0+(dyy*ny)

  assignr("projinfo",list(
  x0=x0,
  y0=y0,
  x1=x1,
  y1=y1,
  nx=nx,
  ny=ny,
  dxy=dxy,
  dyy=dyy,
  projout=projout,
  year=year,
  lat.syn=lat,
  lon.syn=lon),path=datp)
  
}
